commit:     5bf8858b838e87def072cbc01927768799b7cc89
Author:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 29 11:31:04 2024 +0000
Commit:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
CommitDate: Fri Mar 29 11:31:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bf8858b

sys-process/systemd-cron: add 2.3.4

Signed-off-by: Richard Freeman <rich0 <AT> gentoo.org>

 sys-process/systemd-cron/Manifest                  |   1 +
 sys-process/systemd-cron/systemd-cron-2.3.4.ebuild | 101 +++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/sys-process/systemd-cron/Manifest 
b/sys-process/systemd-cron/Manifest
index 8da4bc90b8c5..06aa4d41d515 100644
--- a/sys-process/systemd-cron/Manifest
+++ b/sys-process/systemd-cron/Manifest
@@ -1,3 +1,4 @@
 DIST systemd-cron-1.16.7.tar.gz 37887 BLAKE2B 
a900058cef1cd02ac464d3ecdd43ce2f264bdba386f349ef82f0a915104302b1e88d94331d5fbaabe2c54f526900f3e1ac65ea6bdc2f27a6464e6d7514561a19
 SHA512 
d65d641fd449cdc0e91db3ae6ebe464bc4e24027c501b30a8ab17e7cc40de290cc6141bfb7880a724d97248861587e6f5fea113a6aa6e468d971aff3a13b056f
 DIST systemd-cron-2.2.0.tar.gz 55825 BLAKE2B 
ca4b02fdea5084439aa56b3f04603000d811f21922c11cd26a22ea6387e4b54575587ff4e1eb7fc7a3260d2f656ea0eb91365942c135982f4bd26aead1a080f1
 SHA512 
f26c7d7e2da7eb5cd5558f352aff852585bfefd961de6ecc2409a4a53b63f82662a89bdbf71f739ea8e44ef9e3e1fdec15cdc63ce1e90c289fb0e636ff679ca0
 DIST systemd-cron-2.3.0.tar.gz 56873 BLAKE2B 
3efe8adc1b735ed5eb91c64d0936edceec50ff476d42ba5c1e9941c196a7bc8c777b0c293c8ed71894dae31c5b721a45a2876cab0143298e1b1ab3e82fcb7ceb
 SHA512 
abb7c34d6901160395d64cfc4e5124887909b963bcfee027f64642b25bb138b3f085eb45595197a380faf39b7f5980e32c50d083be6307d7c985a55057962565
+DIST systemd-cron-2.3.4.tar.gz 58458 BLAKE2B 
594fff8f7cc126aa33b1dcbf74293a39b5939576203c11f8f0fc300285462f266c35503a6cfe46ee797e5e617e54e09b92dd6ba8a4044f962d1efd2822f0a87c
 SHA512 
2a9743df6d0e1a83b65d15609e47b901fde1d77d1207c4cc0617395be8d9e94daece91aec9a3398c3d09f86383e01cfff301614df727ca598efe873453f5a3c9

diff --git a/sys-process/systemd-cron/systemd-cron-2.3.4.ebuild 
b/sys-process/systemd-cron/systemd-cron-2.3.4.ebuild
new file mode 100644
index 000000000000..32892c37b102
--- /dev/null
+++ b/sys-process/systemd-cron/systemd-cron-2.3.4.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit systemd toolchain-funcs
+
+DESCRIPTION="systemd units to create timers for cron directories and crontab"
+HOMEPAGE="https://github.com/systemd-cron/systemd-cron/";
+SRC_URI="https://github.com/systemd-cron/${PN}/archive/v${PV}.tar.gz -> 
systemd-cron-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="cron-boot etc-crontab-systemd minutely +runparts setgid yearly"
+# We can't run the unshare tests within sandbox/with low privs, and the
+# 'test-nounshare' target just does static analysis (shellcheck etc).
+RESTRICT="test"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+       !sys-process/cronie[anacron]
+       acct-user/_cron-failure
+       acct-group/_cron-failure
+       app-crypt/libmd:=
+       sys-process/cronbase
+       >=sys-apps/systemd-253
+       !etc-crontab-systemd? ( !sys-process/dcron )
+       runparts? ( sys-apps/debianutils )
+"
+DEPEND="
+       dev-libs/openssl:=
+       sys-process/cronbase
+"
+
+pkg_pretend() {
+       if use runparts && ! [ -x /usr/bin/run-parts ] ; then
+               eerror "Please complete the migration to merged-usr."
+               eerror "https://wiki.gentoo.org/wiki/Merge-usr";
+               die "systemd-cron no longer supports split-usr"
+       fi
+}
+
+src_prepare() {
+       sed -i \
+               -e 's/^crontab/crontab-systemd/' \
+               -e 's/^CRONTAB/CRONTAB-SYSTEMD/' \
+               -- "${S}/src/man/crontab."{1,5}".in" || die
+
+       if use etc-crontab-systemd
+       then    sed -i \
+                       -e "s!/etc/crontab!/etc/crontab-systemd!" \
+                       -- "${S}/src/man/crontab."{1,5}".in" \
+                       "${S}/src/bin/systemd-crontab-generator.cpp" \
+                       "${S}/test/test-generator" || die
+       fi
+
+       default
+}
+
+my_use_enable() {
+       if use ${1}; then
+               echo --enable-${2:-${1}}=yes
+       else
+               echo --enable-${2:-${1}}=no
+       fi
+}
+
+src_configure() {
+       tc-export PKG_CONFIG CXX CC
+
+       ./configure \
+               --prefix="${EPREFIX}/usr" \
+               --mandir="${EPREFIX}/usr/share/man" \
+               --unitdir="$(systemd_get_systemunitdir)" \
+               --generatordir="$(systemd_get_systemgeneratordir)" \
+               $(my_use_enable cron-boot boot) \
+               $(my_use_enable minutely) \
+               $(my_use_enable runparts) \
+               $(my_use_enable yearly) \
+               $(my_use_enable yearly quarterly) \
+               $(my_use_enable yearly semi_annually) || die
+
+       export CRONTAB=crontab-systemd
+}
+
+src_compile() {
+       emake PCH=
+}
+
+src_install() {
+       emake DESTDIR="${D}" PCH= install
+       rm -f "${ED}"/usr/lib/sysusers.d/systemd-cron.conf
+}
+
+pkg_postinst() {
+       elog "This package now supports USE=runparts which is enabled by 
default."
+       elog "This enables the traditional run-parts behavior."
+       elog "If you disable this flag you will get the new behavior of having"
+       elog "multiple jobs for each cron.* entry run in parallel with"
+       elog "separate services/logs/etc."
+}

Reply via email to